Subject: RE: [Sipping] Transcoding

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Sun, 27 Feb 2005 15:35:24 -0000

In your statement below, I assume that you mean "treat transcoder control as proxies".

A B2BUA can never be a proxy, by definition. It only includes UA functionality, and therefore has to process certain header fields as a UA.

You can of course define something entirely new, which is neither B2BUA (UA) or proxy, but that is another story.

regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Gonzalo Camarillo
> Sent: 24 February 2005 14:35
> To: Christer Holmberg (JO/LMF)
> Cc: 'sipping'; 'Paul Kyzivat'; Dave Oran; Medhavi Bhatia
> Subject: Re: [Sipping] Transcoding
> 
> 
> Hi,
> 
> before jumping into this type of solution, we have to decide 
> whether or 
> not we want to treat B2BUAs as proxies. That is, invoke them 
> using Route 
> header fields, etc... this is something we do not have 
> agreement on yet...
> 
> Thanks,
> 
> Gonzalo
> 
> Christer Holmberg (JO/LMF) wrote:
> > Hi,
> > 
> > A short comment on the re-direction case.
> > 
> > 
> >>>or using a re-direction at the callee side.
> >>
> >>Problem with that is the redirect needs to somehow specify both the 
> >>transcoder address and the address of the UAS. How is that 
> >>going to work?
> > 
> > 
> > I think you could use 305. My understanding is that the 
> destination of
> > the INVITE is still the same as in the INVITE that was 
> re-directed, but
> > the message must traverse via the proxy indicated in the 
> Contact header.
> > 
> > The RFC does say that 305 must only be sent by a UAS, 
> though, but I see
> > no reason for that.
> > 
> > Also, 305 has been proposed in 3GPP as one option to re-direct a SIP
> > message to the IMS ALG node in IMS.
> > 
> > Regards,
> > 
> > Christer Holmberg
> > Ericsson Finland
> 
> -- 
> Gonzalo Camarillo         Phone :  +358  9 299 33 71
> Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
> Telecom R&D               Fax   :  +358  9 299 30 52
> FIN-02420 Jorvas          Email :  [email-masked]
> Finland                   http://www.hut.fi/~gonzalo
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP